#ifndef __debug
#define __debug

#include <Arduino.h>

#define DebugLog
//#define VerboseLog


#ifdef DebugLog
  #define DebugInit() Serial.begin(115200)
  #define dl(value) Serial.print(value)
  #define dln(value) Serial.println(value)
#else
  #define DebugInit()
  #define dl(value)
  #define dln(value)
#endif


#ifdef VerboseLog
  #define vl(value) Serial.print(value)
  #define vln(value) Serial.println(value)
#else
  #define vl(value)
  #define vln(value)
#endif


#endif